Name:           wxpdfdoc
Version:        0.9.3
Release:        7%{?dist}
Summary:        A library for creating PDF documents in C++ with wxWidgets
Group:          System Environment/Libraries
License:        wxWidgets
URL:            http://wxcode.sourceforge.net/components/wxpdfdoc/
Source:         http://sourceforge.net/projects/wxcode/files/Components/wxPdfDocument/wxpdfdoc-%{version}.tar.gz
Patch:          http://beckerde.fedorapeople.org/wxpdfdoc/GNUmakefile.patch
BuildRequires:  wxGTK-devel

%global _wxdir /wx-2.8/wx
%global _inclwxdir /include%{_wxdir}


%description
wxPdfDocument allows wxWidgets applications to generate PDF documents. 
The code is a port of FPDF - a free PHP class for generating PDF files - 
to C++ using the wxWidgets library. Several add-on PHP scripts found on 
the FPDF web site are incorporated into wxPdfDocument. Embedding of PNG, 
JPEG, GIF and WMF images is supported. In addition to the 14 standard 
Adobe fonts it is possible to use other Type1 or TrueType fonts - with 
or without embedding them into the generated document. In Unicode build 
CJK fonts are supported, too. Graphics primitives allow the creation of 
simple drawings.


%package devel
Summary:        Development files needed for the wxPdfDocument library
Group:          System Environment/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       wxGTK-devel


%description devel
wxPdfDocument allows wxWidgets applications to generate PDF documents. 
This package contains the development files needed to use the 
wxPdfDocument library.


%prep
%setup -q
chmod 644 *.txt
chmod 644 docs/*
chmod 755 docs/html
chmod 644 docs/html/*
chmod 644 src/*.cpp src/*.h src/*.inc
chmod 644 include/wx/*.h
sed -i.orig -e 's|$(prefix)/lib|$(prefix)/%{_lib}|g' build/GNUmakefile
%patch -p 1
rm -f docs/Doxyfile


%build
echo %{ver}
echo %{ver2}
make -C build all \
  -f GNUmakefile CXXFLAGS="${RPM_OPT_FLAGS}"


%install
make -C build prefix=$RPM_BUILD_ROOT%{_prefix} install_pdfdoc_dll \
  -f GNUmakefile CXXFLAGS="${RPM_OPT_FLAGS}"
make -C build prefix=$RPM_BUILD_ROOT%{_prefix} WXINCLUDEDIR=%{_inclwxdir} install_pdfdoc_dll_headers \
  -f GNUmakefile CXXFLAGS="${RPM_OPT_FLAGS}"


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files 
%{_libdir}/libwxcode_gtk2_pdfdoc*
%license LICENCE.txt


%files devel
%{_includedir}%{_wxdir}/pdf*
%doc Readme.txt docs/*


%changelog
* Fri Aug 21 2015 Ralf Corsepius <corsepiu@fedoraproject.org> - 0.9.3-7
- Pass CXXFLAGS to make (Fix F23TBFS, RHBZ#1240063).
- Add %%license.

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 24 2012 Domingo Becker <domingobecker@gmail.com> - 0.9.3-1
- Updated to latest upstream version.
- Moved Readme.txt and docs/html to -devel package (Bug #889889).
- Removed Doxyfile from installed package (Bug #889889).
- Updated patch for build/GNUmakefile for the new version and to fix a missing library problem with samples/pdfdc/printing.

* Sun Oct 28 2012 Domingo Becker <domingobecker@gmail.com> - 0.9.2.1-4
- Removed BuildRoot definition.
- Removed initial cleaning of buildroot in install section.
- Removed clean section.
- Removed defattr lines in files section.

* Sun Oct 21 2012 Domingo Becker <domingobecker@gmail.com> - 0.9.2.1-3
- Fixed macro in comment warning by removing all unnecessary comments.
- Removed spurious executable permission on source files.

* Wed May 16 2012 Domingo Becker <domingobecker@gmail.com> - 0.9.2.1-2
- Apply patch to build/GNUmakefile to install headers in the correct directory. 

* Mon May 07 2012 Domingo Becker <domingobecker@gmail.com> - 0.9.2.1-1
- Updated to new upstream version.
- Fixed required base package.
- Group set to System Environment/Libraries.
- Removed gcc-c++ as requires.
- Added wxGTK-devel dependency in -devel package.

* Tue Aug 16 2011 Domingo Becker <domingobecker@gmail.com> - 0.9.1-3
- Fixed for a proper multilib support.
- devel package requires core package.

* Tue Aug 16 2011 Domingo Becker <domingobecker@gmail.com> - 0.9.1-2
- Fixed lib64 dir name issue in x86_64 with a patch.

* Mon Aug 15 2011 Domingo Becker <domingobecker@gmail.com> - 0.9.1-1
- Initial version.


